## meshtasticd 2.7.14.369~obs7212fb9~unstable

=== libdeps/native-tft/Adafruit SSD1306/CMakeLists.txt ===
# Adafruit Bus IO Library
# https://github.com/adafruit/Adafruit_BusIO
# MIT License

cmake_minimum_required(VERSION 3.5)

idf_component_register(SRCS "Adafruit_SSD1306.cpp" 
                       INCLUDE_DIRS "."
                       REQUIRES arduino Adafruit-GFX-Library)

project(Adafruit_SSD1306)

=== libdeps/native-tft/ErriezCRC32/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)
set(CMAKE_TOOLCHAIN_FILE ${CMAKE_SOURCE_DIR}/cmake/ArduinoToolchain.cmake)

#-------------------------------------------------------------------------------
# User configuration
#-------------------------------------------------------------------------------
# Set Arduino sketchbook directory
if(WIN32)
    set(SKETCHBOOK_DIR  C:/Users/$ENV{USERNAME}/Documents/Arduino)
elseif(UNIX)
    set(SKETCHBOOK_DIR  $ENV{HOME}/Arduino)
endif()

# Configure one sketch
set(SKETCH examples/CRC32/CRC32.ino)

# Configure board, default Arduino UNO
set(BOARD       uno)
#set(BOARD       nano)

if(${BOARD} STREQUAL nano)
    set(nano.upload.maximum_size 30720)
    set(nano.upload.maximum_data_size 2048)
    set(nano.upload.speed 57600)
    set(nano.build.mcu atmega328p)
endif()

# Configure serial port:
if(WIN32)
    set(SERIAL_PORT     COM1)
elseif(UNIX)
    set(SERIAL_PORT     /dev/ttyUSB0)
endif()

#-------------------------------------------------------------------------------
# Project configuation
#-------------------------------------------------------------------------------
# Project name
set(PROJECT_NAME        ErriezCRC32)

# Set library directory
set(LIB_SRC_DIR      ${SKETCHBOOK_DIR}/libraries/${PROJECT_NAME}/src)

# Configure project
project(${PROJECT_NAME})

# Configure include directories
include_directories(${LIB_SRC_DIR})

# Generate library
generate_arduino_library(
        ${PROJECT_NAME}Lib
        SRCS
            ${LIB_SRC_DIR}/ErriezCRC32.c
        HDRS
            ${LIB_SRC_DIR}/ErriezCRC32.h
)

# Configure project
set(${CMAKE_PROJECT_NAME}_SKETCH    ${SKETCH})
set(${CMAKE_PROJECT_NAME}_LIBS      ${PROJECT_NAME}Lib)
set(${CMAKE_PROJECT_NAME}_BOARD     ${BOARD})
set(${CMAKE_PROJECT_NAME}_PORT      ${SERIAL_PORT})
generate_arduino_firmware(${CMAKE_PROJECT_NAME})

=== libdeps/native-tft/LovyanGFX/examples_for_PC/CMake_OpenCV/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.8)
project(LGFXOpenCV)

add_definitions(-DLGFX_OPENCV)

add_compile_options("$<$<C_COMPILER_ID:MSVC>:/utf-8>")
add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/utf-8>")
add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/Zc:__cplusplus>")

# ビルド対象にするファイルを指定する;
# LovyanGFXのあるパスと位置関係を変えた場合は相対パス記述を環境に合わせて調整すること;
file(GLOB Target_Files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} CONFIGURE_DEPENDS 
    *.cpp
    ../../../LovyanGFX/src/lgfx/Fonts/efont/*.c
    ../../../LovyanGFX/src/lgfx/Fonts/IPA/*.c
    ../../../LovyanGFX/src/lgfx/utility/*.c
    ../../../LovyanGFX/src/lgfx/v1/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/misc/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/panel/Panel_Device.cpp
    ../../../LovyanGFX/src/lgfx/v1/platforms/opencv/*.cpp
    )
add_executable (LGFXOpenCV ${Target_Files})

# includeするファイルのパスを指定する;
# LovyanGFXのあるパスと位置関係を変えた場合は相対パス記述を環境に合わせて調整すること;
target_include_directories(LGFXOpenCV PUBLIC "../../../LovyanGFX/src")

# OpenCVを配置したパス内のincludeのパスを指定する;
target_include_directories(LGFXOpenCV PUBLIC "C:/opencv/build/include")

# OpenCVを配置したパス内の.libファイルのパスを指定する;
target_link_libraries(LGFXOpenCV PUBLIC "C:/opencv/build/x64/vc15/lib/opencv_world452d.lib" )

target_compile_features(LGFXOpenCV PUBLIC cxx_std_17)

=== libdeps/native-tft/LovyanGFX/examples_for_picosdk/i2c/CMakeLists.txt ===
#
# Usage:
#
# 1. Copy this directory outside "LovyanGFX" directory
#
# 2. Set variables below (in environment variables or CMakeLists.txt)
#    PICO_SDK_PATH
#    PICO_PLATFORM (rp2040,rp2350-arm-s)
#    PICO_BOARD (optional, "pico", "pico2",...)
#
# 3. Copy "LovyanGFX" directory to this directory)
#
# 4. mkdir and cd build directory
#
# 5. run cmake
#

set (PROJ_NAME i2c_test)

cmake_minimum_required(VERSION 3.13)

if (NOT (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/LovyanGFX))
    message(FATAL_ERROR "Please copy \"LovyanGFX\" directory to \"${CMAKE_CURRENT_SOURCE_DIR}\".")
endif()


include(../pico_sdk_import.cmake)
include(../pico_extras_import_optional.cmake)

project(${PROJ_NAME}
    C
    CXX
    ASM
)

set(CMAKE_C_STNDARD 11)
set(CMAKE_CXX_STANDARD 17)

pico_sdk_init()

add_subdirectory(
    LovyanGFX
)

add_executable(${PROJ_NAME}
  main.cpp
)

target_include_directories(${PROJ_NAME} PRIVATE
    .
)

pico_enable_stdio_usb(${PROJ_NAME} 0)
pico_enable_stdio_uart(${PROJ_NAME} 1)

pico_add_extra_outputs(${PROJ_NAME})

target_link_libraries(${PROJ_NAME}
    pico_stdlib
    LovyanGFX
)

=== libdeps/native-tft/LovyanGFX/examples_for_picosdk/spi/CMakeLists.txt ===
#
# Usage:
#
# 1. Copy this directory outside "LovyanGFX" directory
#
# 2. Set variables below (in environment variables or CMakeLists.txt)
#    PICO_SDK_PATH
#    PICO_PLATFORM (rp2040,rp2350-arm-s)
#    PICO_BOARD (optional, "pico", "pico2",...)
#
# 3. Copy "LovyanGFX" directory to this directory)
#
# 4. mkdir and cd build directory
#
# 5. run cmake
#

set (PROJ_NAME spi_test)

cmake_minimum_required(VERSION 3.13)

if (NOT (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/LovyanGFX))
    message(FATAL_ERROR "Please copy \"LovyanGFX\" directory to \"${CMAKE_CURRENT_SOURCE_DIR}\".")
endif()


include(../pico_sdk_import.cmake)
include(../pico_extras_import_optional.cmake)

project(${PROJ_NAME}
    C
    CXX
    ASM
)

set(CMAKE_C_STNDARD 11)
set(CMAKE_CXX_STANDARD 17)

pico_sdk_init()

add_subdirectory(
    LovyanGFX
)

add_executable(${PROJ_NAME}
  main.cpp
)

target_include_directories(${PROJ_NAME} PRIVATE
    .
)

pico_enable_stdio_usb(${PROJ_NAME} 0)
pico_enable_stdio_uart(${PROJ_NAME} 1)

pico_add_extra_outputs(${PROJ_NAME})

target_link_libraries(${PROJ_NAME}
    pico_stdlib
    LovyanGFX
)

=== libdeps/native-tft/RadioLib/examples/NonArduino/ESP-IDF/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# include the top-level cmake
include($ENV{IDF_PATH}/tools/cmake/project.cmake)

# name the project something nice
project(esp-sx1261)

=== libdeps/native-tft/RadioLib/examples/NonArduino/Raspberry/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)

# create the project
project(rpi-sx1261)

# when using debuggers such as gdb, the following line can be used
#set(CMAKE_BUILD_TYPE Debug)

# if you did not build RadioLib as shared library (see wiki),
# you will have to add it as source directory
# the following is just an example, yours will likely be different
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib" "${CMAKE_CURRENT_BINARY_DIR}/RadioLib")

# add the executable
add_executable(${PROJECT_NAME} main.cpp)

# link both libraries
target_link_libraries(${PROJECT_NAME} RadioLib lgpio)

# you can also specify RadioLib compile-time flags here
#target_compile_definitions(RadioLib PUBLIC RADIOLIB_DEBUG_BASIC RADIOLIB_DEBUG_SPI)
#target_compile_definitions(RadioLib PUBLIC RADIOLIB_DEBUG_PORT=stdout)

=== libdeps/native-tft/RadioLib/examples/NonArduino/Tock/CMakeLists.txt ===
# RadioLib Non-Arduino Tock Library CMake script
#
# Licensed under the MIT License
#
# Copyright (c) 2023 Alistair Francis <alistair@alistair23.me>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

cmake_minimum_required(VERSION 3.18)

# create the project
project(tock-sx1261)

set(LINKER_SCRIPT $ENV{LIBTOCK_C_DIRECTORY}/userland_generic.ld)

if (RISCV_BUILD)
    include("tock-riscv.cmake")
else()
    include("tock-arm.cmake")
endif()

# when using debuggers such as gdb, the following line can be used
#set(CMAKE_BUILD_TYPE Debug)

# if you did not build RadioLib as shared library (see wiki),
# you will have to add it as source directory
# the following is just an example, yours will likely be different
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib" "${CMAKE_CURRENT_BINARY_DIR}/RadioLib")

# add the executable
add_executable(${PROJECT_NAME} main.cpp)

# link with RadioLib and libtock-c
# The build system for libtock-c is a bit odd and the version of libraries
# built changes based on compiler version.
if (RISCV_BUILD)
    if(EXISTS "$ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0")
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/rv32imc/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/rv32imc/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0/riscv/lib/gcc/riscv64-unknown-elf/14.1.0/rv32i/ilp32/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.4.0.20231231/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.4.0.20231231/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libm.a
        )

        target_include_directories(RadioLib AFTER PUBLIC
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/riscv/riscv64-unknown-elf/include/
        )
    elseif(EXISTS "$ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0")
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/rv32imc/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/rv32imc/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0/riscv/lib/gcc/riscv64-unknown-elf/13.2.0/rv32i/ilp32/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libm.a
        )

        target_include_directories(RadioLib AFTER PUBLIC
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/riscv/riscv64-unknown-elf/include/
        )
    else()
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/rv32imc/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/rv32imc/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-10.5.0/riscv/lib/gcc/riscv64-unknown-elf/10.5.0/rv32i/ilp32/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-10.5.0/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.2.0.20211231/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.2.0.20211231/riscv/riscv64-unknown-elf/lib/rv32i/ilp32/libm.a
        )

        target_include_directories(RadioLib AFTER PUBLIC
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.2.0.20211231/riscv/riscv64-unknown-elf/include/
        )
    endif()
else()
    if (EXISTS "$ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0")
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/cortex-m4/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/cortex-m4/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0/arm/lib/gcc/arm-none-eabi/14.1.0/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-14.1.0/arm/arm-none-eabi/lib/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.4.0.20231231/arm/arm-none-eabi/lib/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.4.0.20231231/arm/arm-none-eabi/lib/libm.a
        )
    elseif(EXISTS "$ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0")
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/cortex-m4/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/cortex-m4/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0/arm/lib/gcc/arm-none-eabi/13.2.0/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-13.2.0/arm/arm-none-eabi/lib/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/arm/arm-none-eabi/lib/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.3.0.20230120/arm/arm-none-eabi/lib/libm.a
        )
    else()
        target_link_libraries(${PROJECT_NAME} PUBLIC
            RadioLib
            $ENV{LIBTOCK_C_DIRECTORY}/libtock/build/cortex-m4/libtock.a
            $ENV{LIBTOCK_C_DIRECTORY}/libtock-sync/build/cortex-m4/libtocksync.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-10.5.0/arm/lib/gcc/arm-none-eabi/10.5.0/libgcc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-libc++-10.5.0/arm/arm-none-eabi/lib/libstdc++.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.2.0.20211231/arm/arm-none-eabi/lib/libc.a
            $ENV{LIBTOCK_C_DIRECTORY}/lib/libtock-newlib-4.2.0.20211231/arm/arm-none-eabi/lib/libm.a
        )
    endif()
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../src/
    $ENV{LIBTOCK_C_DIRECTORY}
)

# you can also specify RadioLib compile-time flags here
#target_compile_definitions(${PROJECT_NAME} PUBLIC RADIOLIB_DEBUG RADIOLIB_VERBOSE)

=== libdeps/native-tft/RadioLib/extras/test/SX126x/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)

# create the project
project(rpi-sx1261)

# when using debuggers such as gdb, the following line can be used
#set(CMAKE_BUILD_TYPE Debug)

# if you did not build RadioLib as shared library (see README),
# you will have to add it as source directory
# the following is just an example, yours will likely be different
#add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib" "${CMAKE_CURRENT_BINARY_DIR}/RadioLib")

# add the executable
add_executable(${PROJECT_NAME} main.cpp)

# link both libraries
target_link_libraries(${PROJECT_NAME} RadioLib pigpio)

# you can also specify RadioLib compile-time flags here
#target_compile_definitions(${PROJECT_NAME} PUBLIC RADIOLIB_DEBUG RADIOLIB_VERBOSE)

=== libdeps/native-tft/RadioLib/extras/test/unit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(radiolib-unittest)

# add RadioLib sources
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib" "${CMAKE_CURRENT_BINARY_DIR}/RadioLib")

# add test sources
file(GLOB_RECURSE TEST_SOURCES
  "tests/main.cpp"
  "tests/TestModule.cpp"
  "tests/TestCalculateTimeOnAir.cpp"
)

# create the executable
add_executable(${PROJECT_NAME} ${TEST_SOURCES})

# include directories
target_include_directories(${PROJECT_NAME} PUBLIC include)

# link RadioLib
target_link_libraries(${PROJECT_NAME} RadioLib fmt gcov)

# set target properties and options
set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 20)
set(BUILD_FLAGS -Wall -Wextra -fprofile-arcs -ftest-coverage -O0)
target_compile_options(${PROJECT_NAME} PRIVATE ${BUILD_FLAGS})
target_compile_options(RadioLib PRIVATE ${BUILD_FLAGS})

# set RadioLib debug
#target_compile_definitions(RadioLib PUBLIC RADIOLIB_DEBUG_BASIC RADIOLIB_DEBUG_SPI RADIOLIB_DEBUG_PROTOCOL)

=== libdeps/native-tft/RadioLib/examples/NonArduino/ESP-IDF/main/CMakeLists.txt ===
# register the component and set "RadioLib", "esp_timer" and "driver" as required
idf_component_register(SRCS "main.cpp"
                       INCLUDE_DIRS "."
                       REQUIRES RadioLib esp_timer driver)

=== debian/changelog ===
meshtasticd (2.7.14.369~obs7212fb9~unstable) unstable; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.14.369~obs7212fb9~unstable

 --  <jbennett@incomsystems.biz>  Thu, 13 Nov 2025 02:37:56 +0000

=== debian/control ===
Source: meshtasticd
Section: misc
Priority: optional
Maintainer: Austin Lane <vidplace7@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libc6-dev (>= 2.38) | libbsd-dev,
               lsb-release,
               tar,
               gzip,
               platformio,
               python3-protobuf,
               python3-grpcio,
               git,
               g++,
               pkg-config,
               libyaml-cpp-dev,
               libgpiod-dev,
               libbluetooth-dev,
               libusb-1.0-0-dev,
               libi2c-dev,
               libuv1-dev,
               openssl,
               libssl-dev,
               libulfius-dev,
               liborcania-dev,
               libx11-dev,
               libinput-dev,
               libxkbcommon-x11-dev
Standards-Version: 4.6.2
Homepage: https://github.com/meshtastic/firmware
Rules-Requires-Root: no

Package: meshtasticd
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Meshtastic daemon for communicating with Meshtastic devices
 Meshtastic is an off-grid text communication platform that uses inexpensive 
 LoRa radios.

## meshtasticd 2.7.15.46~obsd18f3f7~alpha

=== debian/changelog ===
meshtasticd (2.7.15.46~obsd18f3f7~alpha) alpha; urgency=medium

  * GitHub Actions Automatic packaging for 2.7.15.46~obsd18f3f7~alpha

 --  <jbennett@incomsystems.biz>  Wed, 19 Nov 2025 16:15:54 +0000
